Subject: Re: bug#23746: 25.0.95; Doc fixes (grammar, typos, clarification)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Jun 2016 22:22:39 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 11 Jun 2016 18:32:57 +0200
> 
> >>  If the process's buffer is displayed in a window, your Lisp program
> >> -may wish telling the process the dimensions of that window, so that
>         ^^^^^^^^^^^^
> >> -the process could adapt its output to those dimensions, much as it
>                 ^^^^^
> >> -adapts to the screen dimensions.  The following functions allow to
>                                                               ^^^^^^^^
> >> -communicate this kind of information to processes; however, not all
>     ^^^^^^^^^^^
> >> -systems support the underlying functionality, so it is best to provide
> >> -fallbacks, e.g., via command-line arguments or environment variables.
> >> +may wish to tell the process the dimensions of that window, so that
>         ^^^^^^^^^^^^
> >> +the process can adapt its output to those dimensions, much as it
>                 ^^^
> >> +adapts to the screen dimensions.  The following functions allow your
>                                                               ^^^^^^^^^^
> >> +program to communicate this kind of information to processes; however,
>     ^^^^^^^^^^^^^^^^^^^^^^
> >> +not all systems support the underlying functionality, so it is best to
> >> +provide fallbacks, e.g., via command-line arguments or environment
> >> +variables.
> >
> > This goes against the rest of the changes, which correctly made the
> > opposite replacement.  I see no reason to make the opposite change
> > here.
> 
> I don't understand what you mean; the changes in that hunk are strictly
> grammatical corrections (underlined).

Yes.  They are just backwards: "may wish telling" => "may wish to tell".